.geotrace-ctrls-container {
  position: absolute;
  bottom: 0.5em;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  gap: 12px;
}

.geotrace-ctrl {
  border-radius: 99em;
  overflow: hidden;
}

.geotrace-ctrl.ol-control {
  position: relative;
}

.geotrace-ctrl.ol-control button:hover,
.geotrace-ctrl.ol-control button:focus,
.geotrace-ctrl.ol-control button {
  width: auto;
  height: auto;
  padding: 0.5em;
  color: var(--farmos-map-accent-color);
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  outline: none;
}

.geotrace-ctrl.ol-control .stop:hover,
.geotrace-ctrl.ol-control .stop:focus,
.geotrace-ctrl.ol-control .stop,
.geotrace-ctrl.ol-control .save:hover,
.geotrace-ctrl.ol-control .save:focus,
.geotrace-ctrl.ol-control .save {
  color: white;
  background-color: var(--farmos-map-accent-color);
}

.geotrace-ctrl svg {
  display: block;
  fill: var(--farmos-map-accent-color);
}

.geotrace-ctrl .save svg {
  fill: white;
}

.custom-popup {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: auto;
  user-select: text;
}

.custom-popup > div {
  display: flex;
  flex-direction: column;
  width: 400px;
  max-width: 75%;
  padding: 1em;
  border: 1px solid #ccc;
  border-radius: 0.5em;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  background-color: white;
}

.custom-popup > div > p {
  font-size: 0.875em;
  margin-bottom: 1em;
}

.custom-popup > div > button {
  align-self: flex-end;
  border: none;
  background-color: var(--farmos-map-accent-color);
  color: white;
  padding: 0.25em 1em;
  border-radius: 1em;
  transition: background-color 300ms;
}

.custom-popup > div > button:hover {
  background-color: #20a020;
}
